summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAndreas Gruenbacher <agruen@suse.de>2004-02-15 14:56:14 +0000
committerAndreas Gruenbacher <agruen@suse.de>2004-02-15 14:56:14 +0000
commit2e083b83410563b1bc5ff8b2379315178ccc7bfd (patch)
tree32c530c5b8f1c262ccb28fbf7e29d91e52905fbe
parentc5e8abb281aedeb2c496a84b12ec050a67a5afaa (diff)
downloadquilt-2e083b83410563b1bc5ff8b2379315178ccc7bfd.tar.gz
- Never fail when patching temporary files in `quilt diff -z',
only warn.
-rw-r--r--quilt.changes6
-rw-r--r--quilt/diff.in13
-rw-r--r--scripts/patchfns.in4
-rwxr-xr-xscripts/rpatch.in7
4 files changed, 14 insertions, 16 deletions
diff --git a/quilt.changes b/quilt.changes
index cd67978..4828635 100644
--- a/quilt.changes
+++ b/quilt.changes
@@ -1,4 +1,10 @@
-------------------------------------------------------------------
+Sun Feb 15 15:53:42 CET 2004 - agruen@suse.de
+
+- Never fail when patching temporary files in `quilt diff -z',
+ only warn.
+
+-------------------------------------------------------------------
Thu Feb 5 11:51:21 CET 2004 - agruen@suse.de
- Add some fixes from Manuel Estrada Sainz <ranty@debian.org>.
diff --git a/quilt/diff.in b/quilt/diff.in
index 90c5b44..36f3dbb 100644
--- a/quilt/diff.in
+++ b/quilt/diff.in
@@ -277,18 +277,15 @@ then
--no-backup-if-mismatch -Ef \
>/dev/null 2>/dev/null
then
- # If a patch was force applied (and therefore needs
- # refreshing), we know that patching the temporary
- # files won't succeed, either. So, ignore the error
- # in that particular case. Also, generating a
- # relative diff for a subset of files in the patch
- # will fail.
+ # Generating a relative diff for a subset of files in
+ # the patch will fail. Also, if a patch was force
+ # applied, we know that it won't apply cleanly. In
+ # all other cases, print a warning.
if [ ! -e $pwd/$QUILT_PC/$last_patch~refresh -a \
${#opt_files[@]} -eq 0 ]
then
- echo $"Failed to patch temporary files"
- die 1
+ echo $"Failed to patch temporary files" >&2
fi
fi
fi
diff --git a/scripts/patchfns.in b/scripts/patchfns.in
index 8649dfc..f59e72b 100644
--- a/scripts/patchfns.in
+++ b/scripts/patchfns.in
@@ -251,7 +251,7 @@ rename_in_series()
local from=$1 to=$2
tmpfile=$(gen_tempfile) || return 1
- /usr/bin/gawk '
+ @AWK@ '
/^'"$(quote_re $from)"'([ \t]|$)/ \
{ sub(/'"$(quote_re $from)"'/, "'"${to//\"/\\\"}"'")
good=1 }
@@ -558,7 +558,7 @@ patch_description()
@AWK@ '
$1 == "---" { exit }
/^Index:[ \t]|^diff[ \t]|^==*$/ \
- { eat = eat $0
+ { eat = eat $0
next }
eat { print eat
eat="" }
diff --git a/scripts/rpatch.in b/scripts/rpatch.in
index 92639bf..e3882a9 100755
--- a/scripts/rpatch.in
+++ b/scripts/rpatch.in
@@ -80,14 +80,9 @@ check_for_pending_changes()
--no-backup-if-mismatch -E \
>/dev/null 2>/dev/null
then
- # If a patch was force applied (and therefore needs
- # refreshing), we know that patching the temporary
- # files won't succeed, either. So, ignore the error
- # in that particular case.
-
if ! [ -e $QUILT_PC/$patch ]
then
- echo $"Failed to patch temporary files"
+ echo $"Failed to patch temporary files" >&2
rm -rf $workdir
return 1
fi